Bug 7905 - Multi-line notes are displayed on one line in Staff Serials page
Summary: Multi-line notes are displayed on one line in Staff Serials page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Adrien SAURAT
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-05 14:31 UTC by Adrien SAURAT
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch #1 (1.74 KB, patch)
2012-04-05 14:46 UTC, Adrien SAURAT
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7905: display serial notes on several lines (1.98 KB, patch)
2012-06-16 10:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7905: Follow up - Multi-line subscription notes (4.14 KB, patch)
2012-06-16 12:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-04-05 14:31:29 UTC
In Serials, on the summary of a subscription, four different notes (nonpublic note, public note, and 2 notes for history) are displayed in one line for each.
But when we edit the subscription, it's possible (and tempting) to type the content on several lines.

We could try to display these notes on several lines in an elegant way (not so easy because the layout seems to be optimized for one-line informations).
Comment 1 Adrien SAURAT 2012-04-05 14:46:03 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-04-07 06:30:41 UTC
Did you want a signoff now, or would you like to wait for a follow up is done to fix the layout issues?
Comment 3 Adrien SAURAT 2012-04-10 07:13:17 UTC
I'd like to read a few opinions about this. If this version is considered ok, then we can sign it off, but if someone has a better idea, I could implement it.
Comment 4 Katrin Fischer 2012-06-16 10:50:08 UTC
Created attachment 10317 [details] [review]
[SIGNED-OFF] Bug 7905: display serial notes on several lines

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Patch works and makes use of TT filters!

I agree the display could be improved to work a bit nicer
for long lines or multi-line comments, but this is still a nice
improvement.
Comment 5 Katrin Fischer 2012-06-16 12:20:43 UTC
Created attachment 10319 [details] [review]
Bug 7905: Follow up - Multi-line subscription notes

This patch adds the TT filter to other places where we are displaying the
subscription notes:

- OPAC detail page, subscription tab
- OPAC subscription brief history page
- Staff detail page, subscription tab
Comment 6 Ian Walls 2012-06-20 19:21:54 UTC
Both patches are template only, and add the HTML line break filter to fields that are known to have line breaks.  Marking Passed QA on both.
Comment 7 Jared Camins-Esakov 2012-12-31 01:15:55 UTC
There have been no further reports of problems so I am marking this bug resolved.